Get blob metadata
import requests
url = "https://{FUSION HOST}/api/blobs/{id}"
response = requests.head(url)
print(response.text)HttpResponse<String> response = Unirest.head("https://{FUSION HOST}/api/blobs/{id}")
.asString();const options = {method: 'HEAD'};
fetch('https://{FUSION HOST}/api/blobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/blobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Head.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/blobs/{id}"
req, _ := http.NewRequest("HEAD", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/blobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "HEAD",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request HEAD \
--url https://{FUSION HOST}/api/blobs/{id}This response has no body data.Get only the metadata about a blob.
HEAD
/
blobs
/
{id}
Get blob metadata
import requests
url = "https://{FUSION HOST}/api/blobs/{id}"
response = requests.head(url)
print(response.text)HttpResponse<String> response = Unirest.head("https://{FUSION HOST}/api/blobs/{id}")
.asString();const options = {method: 'HEAD'};
fetch('https://{FUSION HOST}/api/blobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/blobs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Head.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/blobs/{id}"
req, _ := http.NewRequest("HEAD", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/blobs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "HEAD",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request HEAD \
--url https://{FUSION HOST}/api/blobs/{id}This response has no body data.Path Parameters
The blob ID.
Pattern:
.*Response
200 - undefined
Was this page helpful?
⌘I